Decode a uuencoded string

- « convert_cyr_string

- convert_uuencode »

- PHP Manual
- String Functions
- Decode a uuencoded string

# convert_uudecode

(PHP 5, PHP 7, PHP 8)

convert_uudecode — Decode a uuencoded string

### Description

convert_uudecode(string `$string`): string|false

convert_uudecode() decodes a uuencoded string.

> Note: convert_uudecode() neither accepts the `begin` nor the `end` line, which are part of uuencoded files.

### Parameters

`string`

  The uuencoded data.

### Return Values

Returns the decoded data as a string or `false` on failure.

### Examples

Example #1 convert_uudecode() example

    <?php
    echo convert_uudecode("+22!L;W9E(%!(4\"$`\n`");
    ?>

The above example will output:

    I love PHP!

### See Also

- convert_uuencode() - Uuencode a string